PX_PUT_DATA_BYTES(3)

NAME
PX_put_data_bytes — Put value into a bytes data field

SYNOPSIS

#include <paradox.h>

void PX_put_data_bytes(pxdoc_t *pxdoc, char *data, int len, char *value)

DESCRIPTION

Simply copies a sequence of bytes into a data field as it stored in the database file. You should use this function instead of accessing the record data directly.

data points to start of the data field in the record. It must be calculated by summing up all field length before the field to operate on and add it to the base pointer of the record.

This function is similar to PX_put_data_alpha(3) without recoding. It is mostly used to store field data of Type pxfBytes.

SEE ALSO

PX_put_data_byte(3), PX_put_data_short(3), PX_put_data_long(3), PX_put_data_double(3), PX_put_data_alpha(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.